program dd;

type    Obrazy = array [0..10,1..7] of String;
        Cas = array [1..5] of Integer;

var     vstup : String;

const obr : Obrazy =
        (('+---+'
         ,'|   |'
         ,'|   |'
         ,'+   +'
         ,'|   |'
         ,'|   |'
         ,'+---+'
         )
        ,('    +'
         ,'    |'
         ,'    |'
         ,'    +'
         ,'    |'
         ,'    |'
         ,'    +'
         )
        ,('+---+'
         ,'    |'
         ,'    |'
         ,'+---+'
         ,'|    '
         ,'|    '
         ,'+---+'
         )
        ,('+---+'
         ,'    |'
         ,'    |'
         ,'+---+'
         ,'    |'
         ,'    |'
         ,'+---+'
         )
        ,('+   +'
         ,'|   |'
         ,'|   |'
         ,'+---+'
         ,'    |'
         ,'    |'
         ,'    +'
         )
        ,('+---+'
         ,'|    '
         ,'|    '
         ,'+---+'
         ,'    |'
         ,'    |'
         ,'+---+'
         )
        ,('+---+'
         ,'|    '
         ,'|    '
         ,'+---+'
         ,'|   |'
         ,'|   |'
         ,'+---+'
         )
        ,('+---+'
         ,'    |'
         ,'    |'
         ,'    +'
         ,'    |'
         ,'    |'
         ,'    +'
         )
        ,('+---+'
         ,'|   |'
         ,'|   |'
         ,'+---+'
         ,'|   |'
         ,'|   |'
         ,'+---+'
         )
        ,('+---+'
         ,'|   |'
         ,'|   |'
         ,'+---+'
         ,'    |'
         ,'    |'
         ,'+---+'
         )
        ,(' '
         ,' '
         ,'o'
         ,' '
         ,'o'
         ,' '
         ,' '
         )
        );

{ -- Procedures and Functions -- }

function convertTime(vstup : String) : Cas;
var     vystup : Cas;
        i : Integer;
begin
        for i := 1 to 5 do begin
                vystup[i] := ord(vstup[i]) - ord('0');
        end;
        convertTime := vystup;
end;

procedure writeTime(vstup : Cas);
var     i, j : Integer;
        list : array [1..7] of String;
begin
        for j := 1 to 7 do begin
                list[j] := '';
        end;
        for i := 1 to 5 do begin
                for j := 1 to 7 do begin
                        list[j] := concat(list[j],obr[vstup[i]][j]);
                        if i < 5 then begin
                                list[j] := concat(list[j],'  ');
                        end;
                end;
        end;
        for j := 1 to 7 do begin
                writeln(list[j]);
        end;
end;

{ -- Main --}
begin
        readln(vstup);
        while vstup <> 'end' do begin
                writeTime(convertTime(vstup));
                writeln;
                writeln;
                readln(vstup);
        end;
        writeln('end');
end.

